<template>
  <v-icon :color="paintBucketColor">
    mdi-format-color-fill
  </v-icon>
</template>

<script>
  const WITHOUT_COLOR = '#00000000'

  export default {
    name: 'PaintBucketIcon',
    props: {
      color: String,
    },
    computed: {
      paintBucketColor () {
        return this.color === WITHOUT_COLOR
          ? ''
          : this.color
      },
    },
  }
</script>
